[project]
name = "wecker"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "fastapi>=0.136.1",
    "pygame>=2.6.1",
    "python-crontab>=3.3.0",
    "python-dotenv>=1.2.2",
    "rpi-gpio>=0.7.1",
    "strawberry-graphql>=0.315.3",
    "uvicorn>=0.46.0",
]

[dependency-groups]
dev = [
    "httpx>=0.28.1",
    "pytest>=9.0.3",
    "pytest-asyncio>=1.3.0",
    "pytest-mock>=3.15.1",
    "ruff>=0.15.12",
]
